- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# stacki_host – Add or remove host to stacki front-end

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Use this module to add or remove hosts to a stacki front-end via API.

- https://github.com/StackIQ/stacki

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
force_install boolean | Choices: no yes | Set value to True to force node into install state if it already exists in stacki.
name - / required |  | Name of the host to be added to Stacki.
prim_intf - |  | Name of the primary network interface.
prim_intf_ip - |  | IP Address for the primary network interface.
prim_intf_mac - |  | MAC Address for the primary PXE boot network interface.
stacki_endpoint - / required |  | URL for the Stacki API Endpoint.
stacki_password - / required |  | Password for authenticating with Stacki API, but if not specified, the environment variable `stacki_password` is used instead.
stacki_user - / required |  | Username for authenticating with Stacki API, but if not specified, the environment variable `stacki_user` is used instead.

## Examples

    - name: Add a host named test-1
      stacki_host:
        name: test-1
        stacki_user: usr
        stacki_password: pwd
        stacki_endpoint: url
        prim_intf_mac: mac_addr
        prim_intf_ip: x.x.x.x
        prim_intf: eth0

    - name: Remove a host named test-1
      stacki_host:
        name: test-1
        stacki_user: usr
        stacki_password: pwd
        stacki_endpoint: url
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | response to whether or not the api call completed successfully Sample: True
stdout list | always | the set of responses from the commands Sample: ['...', '...']
stdout_lines list | always | the value of stdout split into a list Sample: [['...', '...'], ['...'], ['...']]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Hugh Ma (@bbyhuy) <Hugh.Ma@flextronics.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.